package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.Notice;
import org.apache.ibatis.annotations.Param;

/**
 * 通知Mapper接口
 * 
 * @author jy
 * @date 2023-01-06
 */
public interface NoticeMapper 
{
    /**
     * 查询通知
     * 
     * @param id 通知主键
     * @return 通知
     */
    public Notice selectNoticeById(Long id);

    /**
     * 查询通知列表
     * 
     * @param notice 通知
     * @return 通知集合
     */
    public List<Notice> selectNoticeList(Notice notice);

    /**
     * 新增通知
     * 
     * @param notice 通知
     * @return 结果
     */
    public int insertNotice(Notice notice);

    /**
     * 修改通知
     * 
     * @param notice 通知
     * @return 结果
     */
    public int updateNotice(Notice notice);

    /**
     * 删除通知
     * 
     * @param id 通知主键
     * @return 结果
     */
    public int deleteNoticeById(Long id);

    /**
     * 批量删除通知
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNoticeByIds(Long[] ids);

    /**
     * 查询通知数量
     * @param notice 查询条件
     * @return 数量
     */
    public int selectNoticeCount(Notice notice);

    /**
     * 根据权限标识查询用户
     * @param perms 权限标识
     * @return 用户列表
     */
    public List<Long> selectUserListByPerms(@Param("perms") String perms);

    public void clear();
}
